Package org.jbpm.services.task.impl

## Class TaskCommentServiceImpl

- java.lang.Object
- - org.jbpm.services.task.impl.TaskCommentServiceImpl

- All Implemented Interfaces:
    `org.kie.internal.task.api.TaskCommentService`

      public class TaskCommentServiceImpl
      extends Object
      implements org.kie.internal.task.api.TaskCommentService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskCommentServiceImpl()` |
    `TaskCommentServiceImpl​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `addComment​(long taskId, org.kie.api.task.model.Comment comment)` |
    `void` | `deleteComment​(long taskId, long commentId)` |
    `List<org.kie.api.task.model.Comment>` | `getAllCommentsByTaskId​(long taskId)` |
    `org.kie.api.task.model.Comment` | `getCommentById​(long commentId)` |
    `void` | `setPersistenceContext​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskCommentServiceImpl

          public TaskCommentServiceImpl()

    - #### TaskCommentServiceImpl

          public TaskCommentServiceImpl​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

  - ### Method Detail

    - #### setPersistenceContext

          public void setPersistenceContext​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

    - #### addComment

          public long addComment​(long taskId,
                                 org.kie.api.task.model.Comment comment)

      Specified by:
        `addComment` in interface `org.kie.internal.task.api.TaskCommentService`

    - #### deleteComment

          public void deleteComment​(long taskId,
                                    long commentId)

      Specified by:
        `deleteComment` in interface `org.kie.internal.task.api.TaskCommentService`

    - #### getAllCommentsByTaskId

          public List<org.kie.api.task.model.Comment> getAllCommentsByTaskId​(long taskId)

      Specified by:
        `getAllCommentsByTaskId` in interface `org.kie.internal.task.api.TaskCommentService`

    - #### getCommentById

          public org.kie.api.task.model.Comment getCommentById​(long commentId)

      Specified by:
        `getCommentById` in interface `org.kie.internal.task.api.TaskCommentService`